%define rel 9
%define upstream_name phonon-backend-vlc

Summary:   VLC backend for Phonon
Name:      phonon-vlc
Version:   0.8.2
Release:   %mkrel %{rel}
License:   LGPLv2
Group:     Video
URL:       https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc
Source0:   http://download.kde.org/stable/phonon/%{upstream_name}/%{version}/src/%{upstream_name}-%{version}.tar.xz
Patch1:	   phonon-backend-vlc-0.8.2-vlc-2.2-audio-devices1.patch
Patch2:	   phonon-backend-vlc-0.8.2-vlc-2.2-audio-devices2.patch

BuildRequires: vlc-devel
BuildRequires: phonon-devel
BuildRequires: kde4-macros
BuildRequires: automoc4

BuildRequires: kf5-macros
BuildRequires: phonon4qt5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel

Provides: phonon-backend
Provides: %{upstream_name}

Requires:	vlc
Requires:   phonon
Obsoletes: phonon-xine

%description
This package allows Phonon (the KDE media library) to use VLC
for audio and video playback.

%files
%doc COPYING.LIB AUTHORS
%_kde_libdir/kde4/plugins/phonon_backend/phonon_vlc.so
%_kde_services/phononbackends/vlc.desktop

#--------------------------------------------------------------------

%package -n phonon4qt5-vlc
Summary: VLC backend for Phonon Qt5
Group:   Video

Requires: vlc

Provides: phonon4qt5-backend
Provides: phonon4qt5-backend-vlc

%description -n phonon4qt5-vlc
This package allows Phonon Qt5 (the KDE media library) to use VLC
for audio and video playback.

%files -n phonon4qt5-vlc

%doc COPYING.LIB AUTHORS
%_qt5_plugindir/phonon4qt5_backend/phonon_vlc.so

#--------------------------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{version}
%apply_patches

%build
mkdir -p Qt4
pushd Qt4
    %cmake_kde4 ../..
    %make
popd

mkdir -p Qt5
pushd Qt5
    %cmake_kf5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON ../..
    %make
popd

%install
rm -rf %buildroot
%makeinstall_std -C Qt4/build
%makeinstall_std -C Qt5/build

%post
%{_libdir}/vlc/vlc-cache-gen -f %{_libdir}/vlc/plugins

%post -n phonon4qt5-vlc
%{_libdir}/vlc/vlc-cache-gen -f %{_libdir}/vlc/plugins


%changelog
* Tue Nov 22 2016 adrianomorselli <adrianomorselli> 0.8.2-9uplos2016
- rebuild

* Thu Jun 30 2016 bb <bb> 0.8.2-9pclos2016
- rebuild

* Sun Jun 05 2016 bb <bb> 0.8.2-8pclos2016
- rebuild new vlc

* Tue May 03 2016 bb <bb> 0.8.2-7pclos2016
- rebuild for updated vlc

* Sun Apr 17 2016 bb <bb> 0.8.2-6pclos2016
- rebuild against updated vlc

* Wed Apr 06 2016 bb <bb> 0.8.2-5pclos2016
- update

